List start states
curl --request GET \
--url https://guidinghand.ai/v1/start_states \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/start_states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/start_states"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "start_state",
"start_state_id": "ss_0aQ3Vb7sT2Lc",
"kind": "image",
"name": "Printer offline",
"description": "<string>",
"from": "win10-22h2",
"method": "hand",
"script": "<string>",
"instruction": "<string>",
"agent_id": "<string>",
"task_id": "<string>",
"status": "building",
"version": 123,
"os": "windows",
"labels": [
"vm"
],
"runner_id": "<string>",
"error": "<string>",
"view": {
"screen_url": "<string>",
"input_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"metadata": {
"customer_id": "cus_42"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer",
"test_case_ids": [
"<string>"
]
}
}Start states
List start states
Runners’ images first, then your org’s start states, newest first.
GET
/
v1
/
start_states
List start states
curl --request GET \
--url https://guidinghand.ai/v1/start_states \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/start_states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/start_states"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "start_state",
"start_state_id": "ss_0aQ3Vb7sT2Lc",
"kind": "image",
"name": "Printer offline",
"description": "<string>",
"from": "win10-22h2",
"method": "hand",
"script": "<string>",
"instruction": "<string>",
"agent_id": "<string>",
"task_id": "<string>",
"status": "building",
"version": 123,
"os": "windows",
"labels": [
"vm"
],
"runner_id": "<string>",
"error": "<string>",
"view": {
"screen_url": "<string>",
"input_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"metadata": {
"customer_id": "cus_42"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer",
"test_case_ids": [
"<string>"
]
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.
Query Parameters
How many to return, 1 to 100.
Required range:
1 <= x <= 100next_cursor from the previous page.